<?php

class Poster extends Controller {

	function Poster()
	{
		parent::Controller();
	}
	
	function index()
	{
	    $pageData['title'] = "Отправка постов в WordPress";
		$this->load->view('postform', $pageData);
	}
	
	function sendpost() {
        $this->load->library('xmlrpc');	

	    $pageData['title'] = "Отправка постов в WordPress";
        
        $blogUrl = $this->input->post('blogurl');
        $postTitle = $this->input->post('posttitle');
        $postTags = $this->input->post('posttags');
        $postText = $this->input->post('posttext');
	    
        if (!$blogUrl || !$postTitle || !$postTags || !$postText) {
            $pageData['mes'] = 'Нужно заполнить форму';
        }
        else {
            $this->xmlrpc->server($blogUrl.'/xmlrpc.php', 80);
            $this->xmlrpc->method('metaWeblog.newPost');
            $request = array(
                           array(0, 'int'), //blog id
                           array('admin', 'string'), //username
                           array('your_pass', 'string'), //password
                           array(
                               array(
                                   'title'=>array($postTitle, 'string'),
                                   'description'=>array($postText, 'string'),
                                   'mt_keywords'=>array(split(',\s*', $postTags), 'array'),
                                   'mt_allow_comments'=>array(1, 'int'),
                                   'mt_allow_pings'=>array(0, 'int'),
                              ),
                              'struct'
                            ), //content
                           array(TRUE, 'boolean') //publish
                        );
            $this->xmlrpc->request($request);
          //  $this->xmlrpc->set_debug(TRUE);
            
            if ( ($res = $this->xmlrpc->send_request()) === FALSE) {
                $pageData['mes'] = $this->xmlrpc->display_error();
            }
            else {
                $pageData['mes'] = 'Пост опубликован';
            }
        }
		$this->load->view('postform', $pageData);
    }
}
?>
